Problem with SPCascadeDropdowns in 2014.01 (SP 2010 and December CU)

Apr 28, 2014 at 4:26 PM
We’re on SP 2010 and were using a pretty old version of SPServices (0.7.2). We recently applied the December CU to our farm and were asked to upgrade SPServices to the latest to fix issues with required fields, but when I downloaded 2014.01 it didn’t appear to fix the issued for me. I did a little digging and found the problem was in the function SPDropdownCtrl. On line 4009 (non-min), it is looking for a select with a title that starts with the display name and an id that ends with ‘$Lookup’, but the id actually ends with ‘_Lookup’, the name ends with ‘$Lookup’? I changed it to:

var fieldSelect = fieldContainer.find("select[title^='" + opt.displayName + "'][id$='_Lookup']");

which fixed it for us.
May 2, 2014 at 8:05 PM
Never mind ;), I see this was already entered as work item 10256 about 10 days before my post.
May 2, 2014 at 8:09 PM
No worries at all. The more people let me know what's going on out there, the better.